# IRdTrianglesVisStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTriangles ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumTriangles ([in] RtDWORD dwNumTriangles)
## Properties
RtUlong * | color ([in] RtDWORD dwIndex)`[get]`
RtUlong | color ([in] RtDWORD dwIndex)`[set]`
IDispatch ** | tColor ([in] RtDWORD dwIndex)`[get]`
IDispatch * | tColor ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTrianglesVisStream:

- Specifies per-triangle colors.
- Elements are held in RtTriangleVisualization structure.
- The stream is part of IRdMesh and is stored in Triangle stream group.
- Stream is identified by STREAMID_TRIANGLE_VISUALIZATION id.

## Member Function Documentation

HRESULT IRdTrianglesVisStream::GetNumTriangles | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of triangles.

Returns:
  dwNumVertices [out,retval] Returns number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdTrianglesVisStream::SetNumTriangles | ( | [in] RtDWORD | dwNumTriangles | ) |

Set number of triangles.

Parameters:

  | dwNumTriangles | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtUlong * IRdTrianglesVisStream::color([in] RtDWORD dwIndex)`[get]`

Get dwIndex-th triangle color.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Triangle color.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdTrianglesVisStream::color([in] RtDWORD dwIndex)`[set]`

Set dwIndex-th triangle color.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Triangle color.

Returns:
  standard HRESULT processing can be applied to returned value.

IDispatch ** IRdTrianglesVisStream::tColor([in] RtDWORD dwIndex)`[get]`

Get dwIndex-th triangle color.

Parameters:

  | dwIndex | [in] Triangle index.

Returns:
  pVal [out, retval] Triangle color.

  standard HRESULT processing can be applied to returned value.

IDispatch * IRdTrianglesVisStream::tColor([in] RtDWORD dwIndex)`[set]`

Set dwIndex-th triangle color.

Parameters:

  | dwIndex | [in] Triangle index.
  | newVal | [in] Triangle color.

Returns:
  standard HRESULT processing can be applied to returned value.